VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmPractice 
   Caption         =   "Displays List of Tables ..... Structure of Selected Table"
   ClientHeight    =   8595
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9195
   LinkTopic       =   "Form1"
   ScaleHeight     =   8595
   ScaleWidth      =   9195
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog CDialog 
      Left            =   3360
      Top             =   3240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin MSFlexGridLib.MSFlexGrid MSFlexGrid1 
      Height          =   3375
      Left            =   120
      TabIndex        =   3
      Top             =   4680
      Width           =   8295
      _ExtentX        =   14631
      _ExtentY        =   5953
      _Version        =   393216
   End
   Begin VB.ListBox List1 
      Height          =   4155
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   2655
   End
   Begin VB.ListBox List2 
      Height          =   4155
      Left            =   5040
      TabIndex        =   1
      Top             =   120
      Width           =   3375
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Display Tables"
      Height          =   735
      Left            =   3120
      TabIndex        =   0
      Top             =   1080
      Width           =   1575
   End
End
Attribute VB_Name = "frmPractice"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim db As Database, rs As Recordset
Dim DBFile As String, DBPassword As String

Private Sub Command1_Click()
On Error GoTo ErrHandler
List1.Clear
If DBFile <> "" Then
    If DBPassword <> "" Then
        Set db = OpenDatabase(DBFile, False, False, "MS Access;pwd=" & DBPassword)
    Else
        Set db = OpenDatabase(DBFile, False, False)
    End If
    For i = 0 To db.TableDefs.Count - 1
        List1.AddItem db.TableDefs(i).Name
    Next
End If
Exit Sub
ErrHandler:
    If Err.Number = 3031 Then
        DBPassword = InputBox("Enter Password")
    Else
        MsgBox Err.Number & " : " & Err.Description
    End If
End Sub

Private Sub Form_Load()
CDialog.Filter = "MDB Files (*.mdb)|*.mdb"
CDialog.DialogTitle = "Select Mdb File"
CDialog.ShowOpen
DBFile = CDialog.FileName
DBPassword = InputBox("Enter Password for database if password protected")
End Sub

Private Sub List1_Click()
MousePointer = vbHourglass
List2.Clear
List2.AddItem "Column Name        Type         Column Size"
For i = 0 To db.TableDefs(List1.ListIndex).Fields.Count - 1
    List2.AddItem db.TableDefs(List1.ListIndex).Fields(i).Name & "                  " & db.TableDefs(List1.ListIndex).Fields(i).Type & "             " & db.TableDefs(List1.ListIndex).Fields(i).Size
Next

'Displaying data of selected table

MSFlexGrid1.Clear
On Error Resume Next
Set rs = db.OpenRecordset("select count(*) from [" & List1.List(List1.ListIndex) & "]")
If Err.Number <> 0 Then
    MsgBox "Cannot open recordset due to this error: " & Err.Description
    MousePointer = vbDefault
    Exit Sub
End If
If rs(0) > 0 Then
    MSFlexGrid1.Rows = rs(0) + 1
Else
    MSFlexGrid1.Rows = 2
End If


Set rs = db.OpenRecordset("select * from [" & List1.List(List1.ListIndex) & "]")
MSFlexGrid1.Cols = rs.Fields.Count + 1
sno = 1

MSFlexGrid1.Row = 0
MSFlexGrid1.Col = 0
MSFlexGrid1.Text = "Sno"
For i = 0 To rs.Fields.Count - 1
    MSFlexGrid1.Col = i + 1
    MSFlexGrid1.Text = rs.Fields(i).Name
Next


If rs.EOF = False Then

'Assigning Column names to flexgrid 1st row

    While Not rs.EOF
        MSFlexGrid1.Row = sno
        MSFlexGrid1.Col = 0
        MSFlexGrid1.Text = sno
        For i = 0 To rs.Fields.Count - 1
            MSFlexGrid1.Col = i + 1
            MSFlexGrid1.Text = IIf(IsNull(rs(i)), "", rs(i))
        Next
        sno = sno + 1
        DoEvents
        rs.MoveNext
    Wend
End If
MousePointer = vbDefault
End Sub
